Skip to main content
POST
Create bill of lading

Authorizations

x-arms-api-key
string
header
required

Your ARMS API key

x-arms-assume-user
string
header
required

Email of a user assigned to the appropriate user group

Query Parameters

carrierId
integer
required

Carrier identifier; required for all endpoints

Body

application/json
carrierId
integer
waybill
object

Response

OK

loadStatus
string

Read-only. Ignored when creating or updating a bill of lading; to empty a car use POST /ims/equipment/empty-equipment.

commodityCode
string
netWeightTons
number
originCityName
string
originStateOrProvince
string
originFsac
string
destinationCityName
string
destinationStateOrProvince
string
destinationFsac
string
consignorCustomerName
string
consigneeCustomerName
string
originScac
string
trafficType
enum<string>
Available options:
LOCAL,
ORIGINATING,
TERMINATING,
STORAGE,
BRIDGE,
UNKNOWN
shipmentPaymentMethod
enum<string>
Available options:
11,
CC,
MX,
NC,
NR,
PP
transportationMethod
enum<string>
Available options:
R,
X
shipmentId
string
weightUnitCode
enum<string>
Available options:
E,
K,
L,
S,
T
shipmentQualifier
enum<string>
Available options:
1,
6,
7,
8,
B,
C,
E,
F,
G,
H,
I,
M,
N,
S,
W,
X
capacityLoadCode
enum<string>
Available options:
C,
F,
G,
M,
V
customsDocumentationHandlingCode
string
confidentialBillingRequestCode
enum<string>
Available options:
C,
M,
N,
R
taxReasonCode
string
shipmentWeightCode
enum<string>
Available options:
A3,
B,
C,
E,
G,
J,
K,
M,
N,
O,
S,
X
referencedPatternIdentifier
string
billingCode
enum<string>
Available options:
A,
D,
E,
G,
H,
M,
P,
S,
U,
V,
W,
X,
Y
repetitivePatternNumber
integer
extendedReferenceInfo
object[]
crossReferenceEquipment
object[]
equipmentDetails
object[]
intermodalStatusDetails
object
specialHandlingCodes
string[]
protectiveService
object[]
originStation
object
originJunction
object
destinationStation
object
destinationJunction
object
parties
object[]
route
object[]
emptyCarDispositions
object[]
lineItems
object[]
hazardousInfo
object[]
hazardousCertifications
object[]
release
object
defaultReceiver
string
waybillTemplateId
integer
waybillTemplateName
string
waybillNumberSuffix
string
originCarrierCode
string
consigneeLocationId
integer
shipperLocationId
integer
inCareOfLocationId
integer
freightBillPartyLocationId
integer
pickupPartyLocationId
integer
waybillNumber
integer
waybillDate
string
billOfLadingNumber
string
originSystem
enum<string>
Available options:
ARMS,
EDI,
BRAVO
preparationDate
string
preparationTime
string
revisionNumber
integer
revisionTime
string
revisionSourceType
enum<string>
Available options:
WAYBILL,
CONSIST,
BILL_OF_LADING,
ADVANCE_CAR_DISPOSITION,
LOAD,
EMPTY,
REBILL,
CLM
armsTrackingId
string
resourceType
enum<string>
Available options:
Waybill
resourceId
integer
uuid
string

UUID that complements the legacy numeric resourceId.

waybillStatus
enum<string>
Available options:
PENDING,
ACTIVE,
ARCHIVED
createdAt
string
tags
object

Waybill tags as a map of : , e.g. {"Default category": "Dirty"}. Categories and tags are carrier-defined under ARMS Settings → Billing tags. On create, each pair must match the carrier allowlist (HTTP 412 if invalid). On update, request tags are ignored; responses may still include stored tags.